From 46af3e9aa8d09c3dfd62bde64abf204574d2e91b Mon Sep 17 00:00:00 2001
From: Abhishek Dasgupta <abhidg@gmail.com>
Date: Thu, 14 May 2009 00:43:34 +0530
Subject: [PATCH] convert-to-any: use fakeroot and put .PKGINFO at top.


Signed-off-by: Abhishek Dasgupta <abhidg@gmail.com>
---
 convert-to-any |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)
 mode change 100644 => 100755 convert-to-any

diff --git a/convert-to-any b/convert-to-any
old mode 100644
new mode 100755
index 2d30865..3d55830
--- a/convert-to-any
+++ b/convert-to-any
@@ -57,13 +57,13 @@ pushd "$WORKDIR/build" >/dev/null
 
 # Conversion of i686 package into "any" package.
 mkdir -p package
-if ! tar zxf "$pkg" -C package; then
+if ! fakeroot tar zxf "$pkg" -C package; then
 	die "convert-to-any: error in extracting $oldpkgname"
 fi
 
 sed -i "s/arch = \(i686\|x86_64\)/arch = any/g" package/.PKGINFO
 pushd package >/dev/null
-tar czf "$OUTDIR/$newpkgname" * .PKGINFO
+fakeroot tar czf "$OUTDIR/$newpkgname" .PKGINFO *
 popd >/dev/null
 
 popd >/dev/null
-- 
1.6.2.3

